<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<style>
    .craft_layout .layui-form-select .layui-edge {
        right: 20px;
    }
</style>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">淋膜纸</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="淋膜纸"/>
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <select name="ui_bq_name" id="ui_bq_name" lay-filter="ui_fb_name" class="select" lay-search>
                    <option value="1">50克白牛皮纸</option>
                    <option value="2">50克黄牛皮纸</option>
                </select>
            </div>
            <p>
                尺寸(CM/厘米)
                <span>
                    <input type="checkbox" name="switchSize" lay-filter="switchSize" title="自定义尺寸">
                </span>
            </p>
            <div class="layui-form-item" id="ui_size">
                <select name="size" class="select" id="size">
                    <option value="21*29">21*29</option>
                    <option value="36*24">36*24</option>
                    <option value="36*26">36*26</option>
                    <option value="42*28.5">42*28.5</option>
                </select>
            </div>
            <div class="layui-form-item" style="display: none">
                <input type="text" name="size" id="diySize" placeholder="格式:长*宽" class="layui-input" autocomplete="off">
            </div>
            <p>
                数量(个)
            </p>
            <div class="layui-form-item">
                <select name="count" class="select">
                    <option value="10000">10000</option>
                    <option value="20000">20000</option>
                    <option value="30000">30000</option>
                    <option value="50000">50000</option>
                    <option value="100000">100000</option>
                </select>
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <p>
                工艺
            </p>
            <div class="layui-form-item craft_layout">
                <div class="layui-input-block">
                    印面：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="单面" title="单面" checked>
                </div>
                <div class="layui-input-block">
                    裁切工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="直角裁切" title="直角裁切" checked>
                </div>
                <div class="layui-input-block">
                    印色：
                    <div class="layui-inline" style="width: 100px">
                        <select name="co_number" class="select">
                            <option value=""></option>
                            <option value="1">单色</option>
                            <option value="2">双色</option>
                            <option value="3">三色</option>
                            <option value="4">四色</option>
                            <option value="5">五色</option>
                        </select>
                    </div>

                </div>
            </div>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div" style="margin-left:50px;">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;

        //建造实例
        ins = carousel.render({});
        var html = " ";
        var remark = " ";
        // 清空轮播图
        $("#carousel").empty();
        $("#remark").empty();
        $(".ui_feb").show();
        $(".ui_feb select").attr("disabled", false);
        $.ajax({
            url: "${pageContext.request.contextPath}/getImgs",
            type: "GET",
            data: {
                proTypeValue: $("#proTypeValue").val(),
                kindValue: $('input[name="kindValue"]').val()
            },
            success: function (result) {
                for (let i = 0; i < result.length; i++) {
                    // 只留一个remark
                    remark = "";
                    html += '<div><img style="width:100%;height: 100%;object-fit: contain" src="' + result[i].imgUrl + '"></div>';
                    remark += '<div><span>' + result[i].remark + '<span/></div>';
                }
                $("#carousel").append(html);
                // 如果没有说明，就不显示null
                if (remark.indexOf("null") < 0) {
                    $("#remark").append(remark);
                }
                // 如果没有轮播图就隐藏
                if (result.length == 0) {
                    document.getElementById("test1").style.display = "none";   //隐藏
                } else {
                    document.getElementById("test1").style.display = "block";   //显示
                    ins.reload({
                        elem: '#test1',
                        width: result[0].imgWidth,  //设置容器宽度
                        height: result[0].imgHeight
                    });
                }
            }
        });
        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            $("input[name='craft']:checked").each(function () {
                    if (!$(this).is(':disabled')) {
                        craft_list.push($(this).val());
                    }
                }
            );
            if (craft_list.indexOf("单面") == -1) {
                $(data.elem).prop("checked", true);
                layer.msg("印面不能取消选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            if (craft_list.indexOf("直角裁切") == -1) {
                $(data.elem).prop("checked", true);
                layer.msg("直角裁切不能取消选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })
        form.on('checkbox(switchSize)', function (data) {
            $("#diySize").parent().hide()
            $("#size").parent().show()
            $("#size").attr("disabled", false);
            $("#diySize").attr("disabled", true);
            if (data.elem.checked) {
                $("#diySize").parent().show()
                $("#size").parent().hide()
                $("#size").attr("disabled", true);
                $("#diySize").attr("disabled", false);

            }
            form.render();
        })

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var number = $("#number").val();
            var size = $("#size").val();
            var count = $("#count").val();
            var kind = $("#ui_bq_name option:selected").text();
            var craft = [];
            let coNumber = $("select[name='co_number'] option:selected").val()
            if ($("input[name='switchSize']").is(":checked")) {
                size = $("#diySize").val();
            }
            if (coNumber == "") {
                layer.msg("请选择印色数量", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if (size == "") {
                layer.msg('请填写尺寸！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if ((size.split("*")[0] > 100 || size.split("*")[1] > 100) && (size.split("*")[1] > 100 || size.split("*")[0] > 100)) {
                layer.msg('最大尺寸100*100cm！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if ((size.split("*")[0] < 9 || size.split("*")[1] < 5.4) && (size.split("*")[0] < 5.4 || size.split("*")[1] < 9)) {
                layer.msg('最小尺寸9*5.4cm！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            $("input:checkbox[name='craft']:checked").each(function (i) {
                // 没有被禁用的工艺加到arr中
                if (!$(this).is(':disabled')) {
                    if ($(this).val() == "抠图") {
                        arr.push($(this).val() + $("input[name='cropNumber']").val());
                        return;
                    }
                    craft.push($(this).val());
                }
            });
            craft.push($("select[name='co_number'] option:selected").text());
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;

                    var span_result = '淋膜纸 - ' + kind + ' - ' + size + ' CM (同款内容)\n';

                    span_result += `工艺：` + craft.join(",") + '\n';

                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "张，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "张，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }

                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                    if (window.parent.system_isGai) {
                        span_result += "\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                    }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>